/*
 *--- PGetTransform.cpp ---------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetTransform.html
 *-------------------------------------------------------------------------
 */

#include "PGetTransform.h"
#include "PQuery.h"
#include "PReplyBuf.h"

const size_t REPLY_SIZE = (14 * 4) + 2;		// fourteen longs, one PMBool

PGetTransform::PGetTransform()
{
	char temp[REPLY_SIZE];
	
	PQuery query(pm_gettransform, temp, REPLY_SIZE);
	PReplyBuf reply(temp);
	
	reply 	>>	dRotateAngle
			>>	dSkewAngle
			>>	bXReflect
			>>	xLeftTopOrig
			>>	yLeftTopOrig
			>>	xRightBotOrig
			>>	yRightBotOrig
			>>	xLeftTop
			>>	yLeftTop
			>>	xRightTop
			>>	yRightTop
			>>	xRightBottom
			>>	yRigihtBottom
			>>	xLeftBottom
			>>	yLeftBottom;
}

// end of PGetTransform.cpp
